kernel version problem with ppp module in RH 4.1

kernel version problem with ppp module in RH 4.1

Post by David Ishe » Sun, 27 Apr 1997 04:00:00



I've just upgraded my Red Hat 4.0 system to 4.0. I compiled ppp into
the kernel, but on bootup I get an error about kernel version not
found for ppp.o and slhc.o. When I start pppd for the first time I get
an error saying: insmod: kernel_version needed, but can't be found

ppp works but I'm concered about these errors. I compiled kernel
versioning for modules into my kernel. Any ideas?
--

David

+--------------------------------------------------------------------+
| David Ishee                                                        |

| Mississippi State University                                       |
|                                                                    |
+------------- http://www2.msstate.edu/~dmi1/index.html -------------+

 
 
 

1. PPP problem with RH 7.1 updated with ppp-2.4.1-3

I am trying to get a ppp server running, but it is giving me some
grief.
I am running RH 7.1 and after a lot of fiddling, i found out that the
ppp that comes with that version is broken and so updated to
ppp-2.4.1-3 which is supposed to work.
When I dial up (using winXP) it authenticates but immediately drops
the connection (so the symptoms are the same as when using the faulty
ppp ).
the messages log says:
.
.
user tobias logged in
LCP terminated by peer (and then some garbage)
Hangup (SIGHUP)
Modem hangup
.
.

and a little further down there are some DHCP requests

So what gives?
WinXP says that the remote server could not assign an IP address.

I have in the /etc/ppp/options.ttyQ1a1 the following:
#the beginning
192.168.10.1:
#the end

And as far as I understood this should give the glient a dynamic
address.
I have DHCP set up correctly (AFAIK).
The server has two nic's one with public ip (196.x.x.x)and one with
private ip (192.168.x.x)

Any suggestions, or references to good online documentation would be
great. I have read the ppp-howto but it doesn't address my problem
really.
Thanks in advance.

PS: I have to run RH 7.1 for specific reasons (not because I enjoy
using old software!)

Tobias Skytte

2. TMPDIR

3. Problem with ppp-2.4.1 on RH 7.3 with 2.4.19

4. HELP: SCSI Guru needed!

5. Module Programming: module version vs. kernel version

6. Image or Ghost for SPARC ?

7. Kernel build freeze RH 4.1, kernel 2.0.27, AMD k5100

8. Linux 1.2.13 Network not functioning

9. SBPro 2 module in RH 4.1

10. ppp dialup w/RH 4.1

11. RH 4.1: ALS100 sound card, PPP, mount

12. RH 4.1 modular kernel build mystery

13. Correct way to compile a modularized kernel under RH 4.1?